#
# spec file for package ghc-yaml
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yaml
Name:           ghc-yaml
Version:        0.8.17.2
Release:        2.7
Summary:        Support for parsing and rendering YAML documents
License:        BSD-3-Clause
Group:          System/Libraries
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# End cabal-rpm deps
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-enclosed-exceptions-devel
BuildRequires:  ghc-raw-strings-qq-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  libyaml-devel
BuildRequires:  pkgconfig(pkg-config)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides support for parsing and emitting Yaml documents.

The package is broken down into two modules.
"Data.Yaml" provides a high-level interface based
around the JSON datatypes provided by the 'aeson'
package. "Text.Libyaml" provides a lower-level,
streaming interface. For most users, "Data.Yaml" is recommended.

%package devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libyaml-devel

%description devel
This package provides the Haskell yaml library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%define cabal_configure_options -f system-libyaml
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_dynamic_rpath yaml2json
%ghc_fix_dynamic_rpath json2yaml

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/yaml2json
%{_bindir}/json2yaml

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Fri Jun 10 2016 mimi.vx@gmail.com
- update to 0.8.17.2
  * Fix pretty-printing order of UnexpectedEvent's fields
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 0.8.17.1
  * workaround for Cabal bug
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.8.17
  * loadYamlSettingsArgs
* Tue Feb 16 2016 mimi.vx@gmail.com
- update to 0.8.16
  * Add env variable parsing. loadYamlSettings can read config values from the
    environment with Yaml that specifies an env var. The syntax is
    var: _env:ENV_VAR:default
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.8.15.3
  * Give a warning when compiling with GHCJS
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 0.8.15.2
  * Canonicalise Monad instances
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.8.15.1
  * Parse Scientific directly, avoiding loss in precision.
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 0.8.14
  * Pretty print improvements for exceptions
* Sun Aug 16 2015 mimi.vx@gmail.com
- update 0.8.13
  * Pretty module
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 0.8.12
  * Proper handling of String "+123"
* Tue Apr 28 2015 mimi.vx@gmail.com
- change libyaml deps from pkgconfig to direct libyaml-devel for SLE12 support
* Mon Apr 27 2015 mimi.vx@gmail.com
- update to 0.8.11
  * Function to print prettier parse exceptions [#59](https://github.com/snoyberg/yaml/pull/59)
* Wed Feb 25 2015 mpluskal@suse.com
- Update to 0.8.10.1:
  * Add the Data.Yaml.Include module
* Thu Oct 17 2013 peter.trommler@ohm-hochschule.de
- build against system libyaml
* Wed Oct  9 2013 sbahling@suse.com
- add %%defattr(-,root,root,-) to devel files
* Sun Oct  6 2013 sbahling@suse.com
- Initial build version 0.8.5
